import bojack from './bojack';
import c137 from './c137';
import bruce from './bruce';
import cartman from './cartman';
import mysterion from './mysterion';
import summer from './summer';
import rick from './rick';
import basic from './basic';
const themes = {
  basic,
  bojack,
  cartman,
  mysterion,
  c137,
  rick,
  summer,
  bruce
};
const getThemeByIndex = function () {
  let index = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 0;
  const keys = Object.keys(themes);
  if (index === null || !keys[index]) {
    return null;
  }
  return {
    ...themes[keys[index]],
    next: !!keys[index + 1],
    prev: !!keys[index - 1],
    name: keys[index]
  };
};
const getThemeByName = name => {
  const keys = Object.keys(themes);
  const index = keys.indexOf(name);
  if (index === -1) {
    return null;
  }
  return getThemeByIndex(index);
};
const getTheme = function () {
  let index = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 0;
  let name = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;
  return name ? getThemeByName(name) : getThemeByIndex(index);
};
export default getTheme;
//# sourceMappingURL=themes.js.map